package org.lym.pom.repository.mongo.enums;

import org.lym.pom.entity.UserNotifyEntity;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 通知渠道：触达用户的方式
 *
 * @author lym
 * @see UserNotifyEntity#channel
 */
public enum NotifyChannelEnum implements NameAsIdDictionaryItemEnum<NotifyChannelEnum> {

    MSG("MSG", "站内信"),
    MAIL("MAIL", "邮件"),
    SMS("SMS", "短信"),
    ;

    private final String storageName;
    private final String displayName;

    NotifyChannelEnum(String storageName, String displayName) {

        this.storageName = storageName;
        this.displayName = displayName;
    }

    @Override
    public String getDisplayName() {
        return displayName;
    }

    public String getStorageName() {
        return storageName;
    }
}
